Subject: bug#25301: 26.0.50; erc: peculiar error, emacs not compiled with dbus support

From: Glenn Morris <[email-masked]>
Date: Wed, 04 Jan 2017 16:11:41 -0500

Jean Louis wrote:

> My emacs is compiled withou dbus support. And erc is a built-in, and
> it complains "peculiar error, emacs not compiled with dbus support". I
> guess if there is no dbus, then erc, that is a built-in shall not
> complain on that. It blocks the emacs for short time.
>
> It could detect the dbus support, and simply not do those whatever
> benefits of dbus are there.

I don't use erc, but AFAICS the only part of it that uses dbus is
erc-desktop-notifications, which needs dbus to work at all.
erc-desktop-notifications does not seem to be enabled by default,
so it seems to me that you should simply stop doing whatever it is that
you do that tries to use it.

> Features:
> (help-fns radix-tree cus-edit mailclient shadow mailalias emacsbug
> misearch multi-isearch mm-archive message dired dired-loaddefs rfc822
> mml mml-sec epa gnus-util rmail rmail-loaddefs mailabbrev gmm-utils
> mailheader mm-decode mm-bodies mm-encode network-stream starttls
> url-http tls gnutls mail-parse rfc2231 url-gw nsm subr-x puny
> url-cache url-auth epg erc-track erc-spelling flyspell ispell
> erc-services erc-ring erc-desktop-notifications notifications dbus xml